Loading...
Searching...
No Matches
gtsam::traits< PinholePose< CALIBRATION > > Struct Template Reference
Inheritance diagram for gtsam::traits< PinholePose< CALIBRATION > >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::internal::ManifoldTraits< PinholePose< CALIBRATION > >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< PinholePose< CALIBRATION > >))
Public Member Functions inherited from gtsam::Testable< PinholePose< CALIBRATION > >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< PinholePose< CALIBRATION > >))
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< PinholePose< CALIBRATION > >
static TangentVector | Local (const PinholePose< CALIBRATION > &origin, const PinholePose< CALIBRATION > &other)
static PinholePose< CALIBRATION > | Retract (const PinholePose< CALIBRATION > &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< PinholePose< CALIBRATION >, PinholePose< CALIBRATION >::dimension >
static int | GetDimension (const PinholePose< CALIBRATION > &)
Static Public Member Functions inherited from gtsam::Testable< PinholePose< CALIBRATION > >
static void | Print (const PinholePose< CALIBRATION > &m, const std::string &str="")
static bool | Equals (const PinholePose< CALIBRATION > &m1, const PinholePose< CALIBRATION > &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::ManifoldTraits< PinholePose< CALIBRATION > >
enum |
typedef PinholePose< CALIBRATION > | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/geometry/PinholePose.h